List a client's details changed in PensionLab Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/addons/pensionlab/clients/{client_id}/detail-suggestions

Details changed in PensionLab that differ from Plannr. Never applied automatically; at most one per detail, so not paginated.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • client_id string Required

    The ID of the client.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • field string
      • pensionlab_value string
      • reported_at string
GET /api/v1/addons/pensionlab/clients/{client_id}/detail-suggestions
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/pensionlab/clients/architecto/detail-suggestions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "9f4dafb5-a373-44c6-960f-e078c5475560",
        "field": "address",
        "pensionlab_value": "3 New Street, Leeds, LS1 1AA",
        "reported_at": "2026-10-29T09:00:00+00:00"
      }
    ]
  ]
}